Subject: Re: bug#63028: 28.2; Rendering Traditional Mongolian Script

From: "Garid Z." <[email-masked]>
Date: Mon, 24 Apr 2023 00:35:26 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: "Garid Z." <[email-masked]>
>> Date: Sun, 23 Apr 2023 16:50:07 +0900
>> 
>> Rendering Traditional Mongolian Scripts in Emacs are not perfect:
>> Have a look at following text:
>> ᠮᠣᠩᠭᠣᠯ ᠪᠢᠴᠢᠭ (Монгол бичиг, Mongol Bichig):
>
> I've installed on emacs-29 branch a fix, which should make rendering
> Traditional Mongolian better, please take a look.

I've just tried emacs-29 branch. It looks like it's working pretty well.

Thanks for you enthusiasm, and quick work. I really appreciate it.
(You've fixed this even before I could reply previous emails).

>>  . HELLO text

For the HELLO file please add following part:
Just in case (perhaps rendering issue in browser/mail client/etc),
I'm attaching the text above as a file.

----------------------------------------------------------------
...
...
Mongolian (монгол хэл)	Сайн байна уу? / ᠰᠠᠶᠢᠨ ᠪᠠᠶᠢᠨ᠎ᠠ ᠤᠤ
...
...
----------------------------------------------------------------
ᠰᠠᠶᠢᠨ ᠪᠠᠶᠢᠨ᠎ᠠ ᠤᠤ
Mongolian (монгол хэл)	Сайн байна уу? / ᠰᠠᠶᠢᠨ ᠪᠠᠶᠢᠨ᠎ᠠ ᠤᠤ?

>> . input method(s)

For input method, I'm working on a make-shift quail input method.
I'll send a patch for for input-method (similar to my previous patch
of cyrrilic-mongolian layout).

>>  . font selection spec in fontset.el
>>  . character-composition rules

About these layer two  (fontset.el, character-composition), I've no idea
what's these about.

Again, Thank you for your work.

Garid Zorigoo